Security & Setup Warnings on Docker Installation (FPM-Apline)

After setting up a Docker NextCloud (23.0.2) instance on my Ubuntu server using the NextCloud FPM docker-compose along with the Nginx config, as basis, I am seeing a lot of warnings in the overview section.

There are some web server warnings as well as some PHP issues. (the default phone region is not a problem of course)

I’ve been looking through the documentation and read up some other posts on the issues, but they seem mostly to be related with the Apache image, so I am a bit at a loss on how to fix these issues. Maybe someone has any pointers?

  • Your web server is not properly set up to resolve “/.well-known/webfinger”. Further information can be found in the documentation :arrow_upper_right:.
  • Your web server is not properly set up to resolve “/.well-known/nodeinfo”. Further information can be found in the documentation :arrow_upper_right:.
  • Your web server is not properly set up to resolve “/.well-known/caldav”. Further information can be found in the documentation :arrow_upper_right:.
  • Your web server is not properly set up to resolve “/.well-known/carddav”. Further information can be found in the documentation :arrow_upper_right:.
  • The PHP OPcache module is not properly configured:
    • The OPcache interned strings buffer is nearly full. To assure that repeating strings can be effectively cached, it is recommended to apply opcache.interned_strings_buffer to your PHP configuration with a value higher than 8.
  • Module php-imagick in this instance has no SVG support. For better compatibility it is recommended to install it.

image

I really do not see why I should get these type of issues with a clean setup using official NC images and docker-compose files. Could this have to do with me using the fpm-alpine image? Should I be using the regular fpm image instead?